@import '../../styles.scss';


:host {
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  right: 0;
}

.text {
    color: white;
    opacity: $opacity-text;
}

.name {
  color: white;
  font-weight: 600;
}

.navigation-header {
  color: white;
  font-weight: 400;
}

$side-bar-padding : 20px;


.side-bar {
  padding-top: $side-bar-padding;
  width: 10%;
  // height: calc(100vh - $side-bar-padding);
  background-color: $color-side-nav;

  hr {
    height: 2px;
    color: $color-vacc-orange;
    background-color: $color-vacc-orange;
    border: none;
  }

  a {
    color: white;
    opacity: $opacity-text;


    &:hover {
        color: $color-vacc-light-orange;
    }
}



}

.page-container {
  display: flex;
  width: 100vw;
  min-height: 100vh;
}

.personal-details-container {
  @include flex(center, center, column);
  gap: 20px;
}

.top-header-container {
  padding-left: 10px;
  padding-top: 10px;
  padding-right: 10px;
  padding-bottom: 10px;
  @include flex(space-between, center);
  box-sizing: border-box;
  width: 100%;
  background-color: green;
}

.user-info-settings-container {
  @include flex(flex-start, center);
  gap: 10px;
}


.horizontal-bar-container {
  width: 100%;
  background-color: $horizontal-header-color;
}

.bottom-bar-container {
  width: 100%;
  height: 50px;
  @include flex(center, center);
  background-color: $color-vacc-black;

  p {
    color: white;
    opacity: 0.7; // makes text look nicer
  }
}

.logo-personal-details-container {
  @include flex(center, center, column);
  gap: 10px;
}

.right-side-content-container {
  @include flex(space-between, flex-start, column);
  width: 100%;
}


.content-container {
 // @include flex(center, center);
  background-color: $content-background-color;
  width: 100%;
}

.navigation-container {
  padding-top: 15px;
  padding-left: 15px;
  @include flex (flex-start, flex-start, column);
  gap: 15px;

  mat-expansion-panel {
    background: transparent;
  }

  mat-expansion-panel-header {
    padding: 0 24px 0 0;
  }

  mat-expansion-panel-body {
    padding: 0 !important;
  }

}

.icon-text-container {
  @include flex (flex-start, flex-start);
  align-items: center;
  gap: 10px;

  p {
    font-size: 16px;
  }
}

.active {
  color: $color-vacc-light-orange !important;
}

// notifications 


.notifications-header {
  width: 300px;
  padding: 10px;
  @include flex(space-between,flex-start);
  border-bottom: thin solid white;

  p {
    color: white;
  }

  .clear-all {
    font-size: 14px; cursor: pointer;
    &:hover {
      opacity: 0.7;
    }
  }  
}



.notifications-dot {
  position: absolute;
  top : 0;
  right : 0;
  height: 10px;
  width: 10px;
  background-color: red;
  border-radius: 50%;
  display: inline-block;
}

.notifications-text {
  width: 100%;
  transition: 0.3s;
  cursor: pointer;
  border-bottom: thin solid white;
  @include flex(center,center);
  p { 
    font-size: 14px;
    color: white;
  }
  .view-all {
    color: $color-vacc-light-blue;
  }
  &:hover {
    background-color: $color-black-light;
  }
}


